Loading...
Searching...
No Matches
stype.h File Reference
`#include "kernel/structs.h"`
`#include "Singular/subexpr.h"`

Go to the source code of this file.

## Data Structures

union | MYYSTYPE

## Macros

#define | YYSTYPE MYYSTYPE

## Functions

int | yylex (MYYSTYPE *l)

## Variables

EXTERN_VAR YYSTYPE | yylval

## Data Structure Documentation

## MYYSTYPE

union MYYSTYPE

Definition at line 13 of file stype.h.

Data Fields
int | i |
sleftv | lv |
char * | name |

## Macro Definition Documentation

## YYSTYPE

#define YYSTYPE MYYSTYPE

Definition at line 19 of file stype.h.

## Function Documentation

## yylex()

int yylex | ( | MYYSTYPE * | l | ) |

## Variable Documentation

## yylval

YYSTYPE yylval

Definition at line 20 of file stype.h.